Name:           cpan-upload
Version:        2.2       
Release:        5%{?dist}
Summary:        Automate the uploading of files to the CPAN (PAUSE)

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/src/NEILB/cpan-upload-2.2/ 
Source0:        http://search.cpan.org/pub/CPAN/authors/id/N/NE/NEILB/scripts/cpan-upload-%{version}.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(AppConfig::Std)  
BuildRequires:  perl(File::Basename)  
BuildRequires:  perl(HTTP::Request::Common)  
BuildRequires:  perl(HTTP::Status)  
BuildRequires:  perl(LWP::UserAgent)  
BuildRequires:  perl(Net::FTP)  
BuildRequires:  perl(Term::ReadKey)

# not automagically picked up ("require" construct)
Requires:       perl(Term::ReadKey)

%description
cpan-upload is a script which automates the process of uploading a file to
CPAN using PAUSE, the Perl Authors Upload Server.  For example, to upload a
recent version of the Net::Dict module I ran: 

    % cpan-upload -verbose Net-Dict-1.07.tar.gz

If everything went OK, you’ll get two mail messages from the PAUSE monitor: 
one to acknowledge the upload, and one to let you know if your upload made 
it through to CPAN.

%prep
%setup -q


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*.1*


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep 22 2008 Chris Weyl <cweyl@alumni.drew.edu> 2.2-3
- bump

* Mon Sep 22 2008 Chris Weyl <cweyl@alumni.drew.edu> 2.2-2
- update source/url

* Sat Sep 20 2008 Chris Weyl <cweyl@alumni.drew.edu> 2.2-1
- initial Fedora packaging
